/***********************************************************************************
 *   ___________          DYNAMIXEL LED Helper
 *  *|  /    \  |*
 *  *| |      | |*
 *  *|  \ __ /  |*
 *  *|          |*
 *  *|  AX-12A  |*
 *  *|          |*
 *  *|__________|*
 *
 *
 *  Code Functionality:    
 *     
 *    
 *  Physical Build / Instructions:
 *    Connect your servo(s) to the ArbotiX-M with a 3-pin cable. Power the ArbotiX-M
 *    with a 12v power supply (make sure each DYNAMIXEL blinks once when power
 *    is applied). The power jumper on the ArbotiX should be set to 'VIN'
 *    This Sketch will display data to the Serial() port. 
 *    
 *
 * Compatible Servos:
 *    AX-12A / AX-12+
 *    AX-18A / AX-18F
 *    AX-12W
 *    MX-12W
 *    MX-28T / MX-28AT (previously known as RX-28M)
 *    MX-64T / MX-64AT
 *    MX-106T
 *
 *  Other Servos:    *  
 *    RX, EX and MX-R servos are code compatible but need additional circuitry to function
 *
 ********************************************************************************/

#include <ax12.h> //include the ArbotiX DYNAMIXEL library

const int SERVO_ID = 1; //number of servos in the chain
const int BLINK_TIME = 1000; //time foe each LED to be on 


void setup()
{
  dxlInit(1000000);  //start dynamixel library at 1mbps to communicate with the servos
 
}
void loop()
{ 
  dxlLEDOn(SERVO_ID);
  delay(BLINK_TIME);
  dxlLEDOff(SERVO_ID);
  delay(BLINK_TIME);
   
}



